This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 910537 (palapeli)

Summary: Review Request: palapeli - A jigsaw puzzle game
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-22 16:46:09 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 14:32:55 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/palapeli.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/palapeli-4.10.0-2.fc18.src.rpm
Description: A jigsaw puzzle game
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 10:24:01 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/palapeli.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/palapeli-4.10.0-3.fc18.src.rpm
Description:
Palapeli is a single-player jigsaw puzzle game.  The Palapeli window is
separated into two areas, the puzzle collection and the puzzle table. This
manual will now continue with describing these two areas.

%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update license, description
Comment 2 nucleo 2013-02-21 18:40:45 EST
Most of code under GPLv2+ license, documentation under GFDL.
Library libpala packaged  in palapeli-libs under LGPLv2+ license.

Pics license GPLv2+ src/pics/LICENSE can be added in %doc.
Also Goldberg slicer plugin description slicers/goldber/README can be added in %doc.

Better %description from documentation chapter 4:

Palapeli is a single-player jigsaw puzzle game. The object of the
game is to assemble the given pieces to an image.
Comment 3 nucleo 2013-02-21 19:53:15 EST
Should update-mime-database and update-desktop-database be in %post and %postun?
Currently in %postun and %posttrans.
Comment 5 Rex Dieter 2013-02-22 13:01:33 EST
where the scriptlets go is largely a matter of taste.  I personally have been trying to get fpc to update to allow the update-desktop-* stuff to go in %posttrans too (like icon scriptlets) for optimization purposes (so they can theoretically get run only once per transaction instead of once per pkg).  If you insist this is a blocker, I'm open to changing it to strictly conform to the guidelines.

Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/palapeli.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/palapeli-4.10.0-4.fc18.src.rpm

%changelog
* Fri Feb 22 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-4
- update description
- -libs,-devel: License: LGPLv2+
Comment 6 nucleo 2013-02-22 13:14:10 EST
MUST Items:
+ rpmlint output
  $ rpmlint palapeli-4.10.0-2.fc18.i686.rpm palapeli-libs-4.10.0-2.fc18.i686.rpm palapeli-devel-4.10.0-2.fc18.i686.rpm palapeli-debuginfo-4.10.0-2.fc18.i686.rpm palapeli-4.10.0-4.fc18.src.rpm palapeli.spec 
    palapeli.i686: W: no-manual-page-for-binary palapeli
    palapeli-libs.i686: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
    palapeli-libs.i686: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
    palapeli-libs.i686: W: no-documentation
    palapeli-devel.i686: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 5 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name palapeli-4.10.0.tar.xz
+ spec file name palapeli.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, LGPLv2+ for palapeli-lib matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GPLv2), COPYING.DOC (GFDL) amd COPYING.LIB (LGPLv2+) packaged as %doc
+ source matches upstream:
  MD5: 5f8b63dbf65c8303e77af396337ec320  palapeli-4.10.0.tar.xz
  SHA1: da5a7b197e6a641c4882d15e85923303e2646567  palapeli-4.10.0.tar.xz
  SHA256: abcb14d992a864b696bc652171069eecd469922fd724e30c5821c77ae41ae00e  palapeli-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call used in palapeli-libs %post and %postun 
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/, %{_kde4_includedir}/libpala/, %{_kde4_libdir}/libpala/, %{_kde4_includedir}/Pala/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir},%{_kde4_configdir}, %{_kde4_libdir}, %{_kde4_includedir})
+ non-code content: only permitted content, images under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ header files packaged in palapeli-devel
+ no static libraries, so no -static package needed
+ devel symlink packaged in palapeli-devel
+ palapeli-devel package must require the base package palapeli-libs
+ no .la files
+ palapeli.desktop file for the GUI app palapeli present
+ desktop-file-validate is used in %check and the palapeli.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir},%{_kde4_configdir}, %{_kde4_libdir}, %{_kde4_includedir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from palapeli's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC, COPYING.LIB)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + palapeli-debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating hicolor icon chache in %post, %postun, %posttrans, updating mime and desktop database)
+ subpackages other than devel should require the base package using a fully versioned dependency (palapeli-libs can be installed without palapeli)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 7 nucleo 2013-02-22 13:15:24 EST
For fixing W: no-documentation COPYING.LIB can be moved to -libs %doc.
Comment 8 nucleo 2013-02-22 13:18:19 EST
COPYING and COPYING.DOC in main package %doc, COPYING.LIB in -libs %doc.
Comment 9 Rex Dieter 2013-02-22 14:11:29 EST
Thanks, will do.

New Package SCM Request
=======================
Package Name: palepeli
Short Description: A jigsaw puzzle game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 10 Jon Ciesla 2013-02-22 14:20:36 EST
Requested package name palepeli doesn't match bug summary palapeli, please
correct.
Comment 11 Rex Dieter 2013-02-22 14:49:42 EST
New Package SCM Request
=======================
Package Name: palapeli
Short Description: A jigsaw puzzle game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 12 Jon Ciesla 2013-02-22 15:36:04 EST
Git done (by process-git-requests).
Comment 13 Rex Dieter 2013-02-22 16:46:09 EST
imported
Comment 14 nucleo 2013-02-22 17:10:58 EST
Sorry for typo, right path for README slicers/goldberg/README